---
product: material-ui
title: React Textarea Autosize（自适应文本框）组件
components: TextareaAutosize
githubLabel: 'component: TextareaAutosize'
---

# Textarea Autosize 自适应文本框

<p class="description">一个自适应内容大小的 React 文本框组件。</p>

- 📦 [2.1kB 的压缩包](/size-snapshot)

当触发键盘和窗口大小事件的时候，`TextareaAutosize` 组件将自动调整的文本框的高度。

{{"component": "modules/components/ComponentLinkHeader.js", "design": false}}

## 空白的文本框

{{"demo": "EmptyTextarea.js"}}

## 最小高度

{{"demo": "MinHeightTextarea.js"}}

## 最大高度

{{"demo": "MaxHeightTextarea.js"}}

## Unstyled

- 📦 [784 B gzipped](https://bundlephobia.com/package/@mui/base@latest)

As the component does not have any styles, it also comes with the Base package.

```js
import TextareaAutosize from '@mui/base/TextareaAutosize';
```
