# 相关的项目

<p class="description">以下精心挑选了一系列的库，他们都值得一阅。</p>

Because the scope of problems MUI solves is bound, we try to play nicely with other libraries. 请随时提交一个 pull request 来加入另外一个项目，如果它合适的话我们会将其纳如列表。 Feel free to submit a pull request to add another project; it will be accepted if it is suitable.

## 设计资源

<a href="https://mui.com/store/items/figma-react/?utm_source=docs&utm_medium=referral&utm_campaign=installation-figma" style="margin-left: 8px; margin-top: 8px; display: inline-block;"><img src="/static/images/download-figma.svg" alt="figma" /></a>
<a href="https://mui.com/store/items/adobe-xd-react/?utm_source=docs&utm_medium=referral&utm_campaign=installation-adobe-xd" style="margin-left: 32px; margin-top: 8px; display: inline-block;"><img src="/static/images/download-adobe-xd.svg" alt="adobe-xd" /></a>
<a href="https://mui.com/store/items/sketch-react/?utm_source=docs&utm_medium=referral&utm_campaign=installation-sketch" style="margin-left: 32px; margin-top: 8px; display: inline-block;"><img src="/static/images/download-sketch.svg" alt="草图" /></a>

一套可重复使用的设计工具组件已经面世，这些工具是为了配合 React 组件而设计的，它们可以帮助你制作优秀的产品。

- [Figma](https://mui.com/store/items/figma-react/?utm_source=docs&utm_medium=referral&utm_campaign=related-projects-figma): A large UI kit with over 600 handcrafted MUI components.
- [Adobe XD](https://mui.com/store/items/adobe-xd-react/?utm_source=docs&utm_medium=referral&utm_campaign=related-projects-adobe-xd): A large UI kit with over 600 handcrafted MUI components.
- [Sketch](https://mui.com/store/items/sketch-react/?utm_source=docs&utm_medium=referral&utm_campaign=related-projects-sketch): A large UI kit with over 600 handcrafted MUI symbols.
- [UXPin](https://github.com/uxpin-merge/material-ui-5-merge): A large UI kit of MUI components. The design tool renders the components in a web runtime. It uses the same React implementation as your production environment. The design tool renders the components in a web runtime. It uses the same React implementation as your production environment.

## 图像和图案

- [ Unsplash ](https://unsplash.com)：📷 这是一个很好的资源，可以用来寻找您可以在项目中使用的好看的，高分辨率的免费图片。
- [unDraw](https://undraw.co/)： 📐 和 Unsplash 类似，但是提供了超赞的矢量插图。
- [Simple Icons](https://simpleicons.org/)：超过 1000 个热门品牌的免费 SVG 图标。

## 应用程序框架

- [react-admin](https://github.com/marmelab/react-admin): 一个前端框架，用于在浏览器中构建运行与 REST/GraphQL APIs 之上的 B2B 应用程序。

## IDE 工具

- [Material-UI Snippets](https://marketplace.visualstudio.com/items?itemName=vscodeshift.material-ui-snippets)：提供编写提示的 VSCode 扩展。
- [Material-UI Codemorphs](https://marketplace.visualstudio.com/items?itemName=vscodeshift.material-ui-codemorphs)：提供代码模块的 VSCode 扩展。
- [eslint: detect unused classes](https://github.com/jens-ox/eslint-plugin-material-ui-unused-classes)：ESLint 插件检测到 `@material-ui/styles` 中未使用的类。

## Components 组件

这是一个扩展 Material-UI 的第三方项目的集合。

### 布局

- [@mui-treasury/layout](https://mui-treasury.com/layout/): Components to handle the overall layout of a page. [@mui-treasury/layout](https://mui-treasury.com/layout/): Components to handle the overall layout of a page. You can find a couple of examples, e.g. [a reactjs.org clone](https://mui-treasury.com/layout/clones/reactjs/).

### 通知

- [notistack](https://github.com/iamhosseindhv/notistack)：轻松地显示消息条（snackbars）（所以您不必手动处理它们的打开/关闭状态）。

### 上传

- [material-ui-dropzone](https://github.com/Yuvaleros/material-ui-dropzone)：建立在 react-dropzone 的基础上的组件。

### 表单

- [react-hook-form](https://react-hook-form.com/)：用于表单验证的 React 钩子。
- [formik-material-ui](https://github.com/stackworx/formik-mui): Bindings for using MUI with [formik](https://formik.org/).
- [redux-form-material-ui](https://github.com/erikras/redux-form-material-ui)：用于 [Redux Form](https://redux-form.com/) 和 Material-UI 捆绑使用。
- [mui-rff](https://github.com/lookfirst/mui-rff)：用于 [React Final Form](https://final-form.org/react) 和 Material-UI 捆绑使用。
- [@ui-schema/ds-material](https://www.npmjs.com/package/@ui-schema/ds-material) 用于 [UI Schema](https://github.com/ui-schema/ui-schema) 和 Material-UI 捆绑使用，兼容 JSON Schema
- [@data-driven-forms/mui-component-mapper](https://data-driven-forms.org/provided-mappers/mui-component-mapper): Bindings for using MUI with [Data Driven Forms](https://github.com/data-driven-forms/react-forms).

### 幻灯片

- [material-auto-rotating-carousel](https://mui.wertarbyte.com/#material-auto-rotating-carousel)：向新用户介绍您的应用程序。

### 图像

- [mui-image](https://mui-image.surge.sh): The only MUI image component to satisfy the Material guidelines for loading images.
- [material-ui-image](https://mui.wertarbyte.com/#material-ui-image)：图片在完全加载之前都是很简陋的。 使用 material 图像来物化它！ 它会像 material 图像的加载模式建议的一样淡入。

### 日程表/日历

- [dx-react-scheduler-material-ui](https://devexpress.github.io/devextreme-reactive/react/scheduler/)：一个基于 Material-UI 的日程表/日历组件，它具有多个功能，包括日历视图、编辑、重复一些预约和日期导航（需要 [付费的许可证](https://js.devexpress.com/licensing/)）。

### 图表

- [dx-react-chart-material-ui](https://devexpress.github.io/devextreme-reactive/react/chart/)：一个基于 Material-UI 的图表，它可以提供各种图表类型来可视化数据，包括条形图、线形图、面积图、散点图、饼图，以及更多（需要 [付费许可证](https://js.devexpress.com/licensing/)）。

### Dialog

- [material-ui-confirm](https://github.com/jonatanklosko/material-ui-confirm)：您无需编写模板代码，就可以轻松使用确认对话框功能来简化用户的确认操作。

### 颜色选择器

- [material-ui-color](https://github.com/mikbry/material-ui-color)：material-ui 的颜色组件集合。 无依赖包，安装体积小，可高度定制和主题支持！

### Sparkline

- [mui-plus](https://mui-plus.vercel.app/components/Sparkline): A sparkline is a tiny chart that can be used to indicate the trend of a value.

## Blocks（块级元素）

- [components-extra](https://github.com/alexandre-lelain/components-extra)：提供给了一系列基于 Material-UI 而搭建的”分子（molecule）”组件，譬如一个页脚（Footer），一个 CookiesBanner，一个 BackToTop 按钮，以及一些其他复杂的组件，它们都是高度可自定义的，来帮助开发人员来迅速搭建 UI 的宏观部分。 这些组件往往在网站上重复 —— 这个库解决了这个问题。 This library solves this exact problem.

## Theming 主题

- [material-ui-theme-editor](https://in-your-saas.github.io/material-ui-theme-editor/)：只需要选择颜色即可为你的 Material-UI 应用生成主题的工具，同时还支持在线预览。
- [Material palette generator](https://material.io/inline-tools/color/)：它可用于通过您输入的任何颜色生成一系列的调色板。
