# Aprenda MUI

<p class="description">Novo em MUI? É fácil de aprender, se você souber por onde começar! Este guia irá ajudá-lo a dar o pontapé inicial.</p>

Desenvolvedores chegam em MUI de diferentes culturas e com diferentes estilos de aprendizagem. Se você prefere uma abordagem mais teórica ou prática, esperamos que você ache esta seção útil. Como qualquer tecnologia desconhecida, MUI tem uma curva de aprendizagem. Com prática e paciência, você logo vai pegar o jeito.

## Primeiro exemplo

A [página de uso](/getting-started/usage/#quick-start) contém um pequeno exemplo de MUI com um editor interativo. Even if you don't know anything about Material-UI yet, try changing the code and see how it affects the result.

## Projetos de exemplo

Há [alguns projetos de exemplo](/getting-started/example-projects/) disponíveis, fornecendo a infraestrutura necessária para desenvolver e implantar sites em React.

## Modelos

Esta [seleção de modelos básicos](/getting-started/templates/) pode ajudar você a começar a criar o seu aplicativo.

## Recursos recomendados

> ⚠️ Note that the resources linked below are using MUI v4, which is not the latest major version. As v5 has been released recently, it will take some time till new contents are created. If you have created any learning material for v5, let us know and we can link them here.

Ao começar a aprender MUI, você pode encontrar postagens de blogs de terceiros, livros e cursos em vídeo mais úteis do que a documentação oficial. Aqui estão alguns recursos recomendados, uma parte deles é gratuita.

### Grátis

- **Introduction to Material-UI**: uma série de vídeos cobrindo todos os componentes importantes do Material-UI.
  - 📹 [Os vídeos](https://www.youtube.com/watch?v=pHclLuRolzE&list=PLQg6GaokU5CwiVmsZ0d_9Zsg_DnIP_xwr)
- **Apply Google Material Design**: Este curso ensina os fundamentos do Google Material Design e como desenvolver uma pesquisa e aplicação de reserva de voo de ponta a ponta usando Material-UI e React.
  - 📹 [Os vídeos](https://www.youtube.com/watch?v=bDkB3LoQKxs)
- **Meet Material-UI — your new favorite user interface library**: uma postagem de blog que o guia na construção de um Todo MVC enquanto aborda alguns conceitos importantes de Material-UI.
  - 📝 [The blog post](https://www.freecodecamp.org/news/meet-your-material-ui-your-new-favorite-user-interface-library-6349a1c88a8c/)
- **Learn React & Material-UI**: uma série de vídeos cobrindo todos os componentes importantes do Material-UI.
  - 📹 [Os vídeos](https://www.youtube.com/watch?v=xm4LX5fJKZ8&list=PLcCp4mjO-z98WAu4sd0eVha1g-NMfzHZk)
- **Getting Started With Material-UI For React**: uma postagem de blog que orienta na criação de uma lista de cartões simples.
  - 📝 [A postagem do blog](https://medium.com/codingthesmartway-com-blog/getting-started-with-material-ui-for-react-material-design-for-react-364b2688b555)
  - 📹 [O vídeo](https://www.youtube.com/watch?v=PWadEeOuv5o)
- **Elegant UX in React with Material-UI**: uma postagem de blog que cobre alguns conceitos importantes de Material-UI.
  - 📝 [The blog post](https://www.digitalocean.com/community/tutorials/react-material-ui)

### Pago

- **Implement high fidelity designs**: Ponte entre a lacuna de Design & Desenvolvimento. Divida os projetos detalhadamente e os traga a vida com Material-UI e React.

  - 💻 [O Curso](https://click.linksynergy.com/deeplink?id=IVuPfk1F/Ow&mid=39197&murl=https%3A%2F%2Fwww.udemy.com%2Fcourse%2Fimplement-high-fidelity-designs-with-material-ui-and-reactjs%2F)

- **Apply Google Material Design**: Este curso ensina os fundamentos do Google Material Design e como desenvolver uma pesquisa e aplicação de reserva de voo de ponta a ponta usando Material-UI e React.

  - 📹 [Trailer do Curso](https://www.youtube.com/watch?v=hhZ6yFvCWho)
  - 💻 [The Course](https://bonsaiilabs.com/courseDetail/material-ui-with-react/)

- **Cookbook**: Crie aplicativos modernos, implementando os princípios de Material Design no React, usando Material-UI.
  - 📘 [O livro](https://www.amazon.com/gp/product/1789615224/)

[![cookbook](/static/blog/material-ui-v4-is-out/cookbook.png)](https://www.amazon.com/gp/product/1789615224/)

- **Builder Book**: Learn how to build a full-stack JavaScript and SaaS web application from scratch, using a Modern JavaScript stack and Material-UI.
  - 📘 [O livro](https://builderbook.org/)
