# Suporte

<p class="description">From community help to premium critical business support, we're here to help.</p>

## Ajuda da comunidade (grátis)

A comunidade é sua primeira parada para perguntas e conselhos sobre o framework. Bem-vindo à comunidade!

### StackOverflow

For crowdsourced answers from expert MUI developers in our community. StackOverflow is also visited from time to time by the maintainers of MUI.

[Poste uma pergunta](https://stackoverflow.com/questions/tagged/mui)

> 💡 **Tip**: If you're using an older version and use external resources (such as StackOverflow) for help with it, you may find answers with links that direct you to content that no longer exists in the latest version of the documentation. To easily access any previous version of the docs, simply add `v[number]` at the beginning of the URL, like so: [v4.mui.com](https://v4.mui.com/).

### GitHub

Usamos issues do GitHub exclusivamente para rastrear bugs e solicitações de recursos. Se você acha que encontrou um bug ou tem uma nova idéia de recurso, comece certificando-se de que ele ainda não foi [relatado ou corrigido](https://github.com/mui/material-ui/issues?utf8=%E2%9C%93&q=is%3Aopen+is%3Aclosed). Você pode pesquisar nas issues existentes e pull requests para ver se alguém relatou algo semelhante ao seu.

- [Abra uma issue](https://github.com/mui/material-ui/issues/new/choose)
- [Open an issue on MUI X](https://github.com/mui/mui-x/issues/new/choose)

#### Novas diretrizes para issues

- Por favor, siga o modelo de issue.
- Comece o título com '[ComponentName]', quando apropriado, e use uma descrição sucinta que ajude outras pessoas a encontrar issues semelhantes.
  - "doesn't work" ❌
  - "[Button] Add support for <some feature>" ✅
- Não agrupe vários tópicos em uma issue - cada um deve ter sua própria issue.
- Por favor, não comente "+1" em uma issue. Isso engana os mantenedores e não ajuda a avançar com a issue. Use as reações do GitHub (👍).

### Blog 📝

Mantenha-se atualizado com o desenvolvimento da biblioteca seguindo o blog.

[Leia as últimas postagens](https://mui.com/blog/)

### Recursos 📖

Novo no Material-UI? É fácil de aprender, se você souber por onde começar!

[Aprenda Material-UI](/getting-started/learn/)

### Twitter

Receba as últimas notícias sobre Material-UI.

[Siga-nos](https://twitter.com/MUI_hq)

### Versões suportadas

MUI Core has been open-source ([MIT](https://tldrlegal.com/license/mit-license)) since the very beginning, and always will be. Developers can ensure MUI is the right choice for their React applications through MUI's community maintenance strategy. The MUI team regularly ships new releases, bug fixes, and is very welcoming to community pull requests.

Dada a realidade das restrições de tempo e recursos, bem como o desejo de continuar inovando, com o tempo, torna-se necessário mudar o foco para as versões mais recentes do framework ([nosso cronograma de lançamento](https://material-ui.com/versions/#release-frequency)), enquanto essa transição ocorre para as versões mais recentes, sempre que possível, inclusões de publicação de guias de migração são feitas, como [esta para a v4](/guides/migration-v3/). A comunidade de código aberto é sempre bem-vinda para enviar novos recursos e correções de erros também.

The current status of each MUI version is as follows:

- Obtenha as ferramentas que você precisa continuamente catalogar e entenda o software de código aberto do qual seu aplicativo depende.
- Sua assinatura ajuda a pagar os mantenedores da comunidade de código aberto dos pacotes que você usa, para garantir que eles cumpram os padrões que você precisa.
- Resolve proativamente problemas, com ferramentas que buscam novos problemas de segurança, licenciamento e manutenção, e alerta os mantenedores de código aberto participantes para que possam resolvê-los em seu nome.
- Tidelift ajuda a medir e melhorar a saúde das suas dependências de código aberto - o que aprimora a saúde do seu aplicativo - e fornece uma lista de etapas de alto impacto que sua equipe pode dar para aprimorar ainda mais.
- Material-UI v1 (reescrita): ❌ Inativa.
- Material-UI v0.x: ❌ Inativa.

O status atual de cada versão do Material-UI é o seguinte:

## Suporte profissional (premium)

### Pro/Premium plans

MUI comes in [three plans](/pricing/). The support available on the Community plan is mostly made possible thanks to people like you: the community. It's described in more detail in the above section. The maintainers of MUI focuses on solving the root issues, not direct support.

The Pro plan allows developers to license extra features that are challenging to find in the OSS space. The maintainers of MUI provide support for these paid features. They aim for a similar quality of experience to the one provided by the community on the open-source modules however no SLAs are provided.

Se você quiser a flexibilidade do código aberto e a confiança do software em nível comercial, vale a pena conferir.

### Tidelift subscription

A Tidelift Subscription fornece esses recursos para você:

Se você quiser a flexibilidade do código aberto e a confiança do software em nível comercial, vale a pena conferir.

A Tidelift Subscription fornece esses recursos para você:

- Obtenha as ferramentas que você precisa continuamente catalogar e entenda o software de código aberto do qual seu aplicativo depende.
- Sua assinatura ajuda a pagar os mantenedores da comunidade de código aberto dos pacotes que você usa, para garantir que eles cumpram os padrões que você precisa.
- Resolve proativamente problemas, com ferramentas que buscam novos problemas de segurança, licenciamento e manutenção, e alerta os mantenedores de código aberto participantes para que possam resolvê-los em seu nome.
- Tidelift ajuda a medir e melhorar a saúde das suas dependências de código aberto - o que aprimora a saúde do seu aplicativo - e fornece uma lista de etapas de alto impacto que sua equipe pode dar para aprimorar ainda mais.
- Receba garantias comerciais que não vem de graça com pacotes de código aberto, como indenização de propriedade intelectual e suporte sob um contrato de nível de serviço. Você espera essas garantias de um software proprietário, e pode obtê-las ao usar o código aberto também.

O resultado final? Todas as capacidades que você espera de um software de nível comercial, com toda a amplitude de código aberto que você usa. Isso significa menos tempo lutando com trivia esotérica de código aberto, e mais tempo criando seus próprios aplicativos – e seus negócios.

<a
  data-ga-event-category="support"
  data-ga-event-action="tidelift"
  href="https://tidelift.com/subscription/pkg/npm-material-ui?utm_source=npm-material-ui&utm_medium=referral&utm_campaign=enterprise">
Obter mais detalhes
</a>

<a
  data-ga-event-category="support"
  data-ga-event-action="tidelift"
  href="https://tidelift.com/subscription/request-a-demo?utm_source=npm-material-ui&utm_medium=referral&utm_campaign=enterprise">
Solicite uma demonstração
</a>

### Trabalho customizado 🛠

Ajuste Material-UI para atender requisitos específicos. Nos dê um resumo das suas necessidades e ajudaremos você se pudermos. Nós poderíamos:

- Dar a você uma estimativa de tempo e preço se o trabalho for simples
- Suggest alternatives that might not require MUI
- Recusar o trabalho devido a tempo ou relevância

Note que o trabalho deve estar relacionado ao Material-UI. Não aceitamos trabalhos genéricos de desenvolvimento React. Nosso preço de contratação é de $200/hora ou $1.500/dia.

[Envie-nos um e-mail](mailto:custom-work@mui.com)
